Appearance
Get clients ​
GET
/v1/clients
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Query Parameters
sorting
Type
string
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1distributor_id
distributor_id to filter on
Type
string
Example
"b05f667dcaa843bd8c171c522217eb81_dst"Default
nullclient_status
client status
Type
string
Example
"active"Default
nullclient_name
client name
Type
string
Example
"Acme Corporation"Default
nullquery
Generic search across client label, id, email, and distributor_id
Example
"acme"Default
nulluse_basic_dto
client_dto (basic_dto) or client dto extend with all kind of additional information
Type
boolean
Example
trueDefault
falseclient_id
client id
Type
string
Example
"19941a73d2b5498caf6894d62bb6c3a4_cln"Default
nullrole
Filter clients by role name (e.g., 'api', 'portal')
Type
string
Example
"api"Default
nullResponses​
OK
application/json
JSON"clients": [{"client_id": "19941a73d2b5498caf6894d62bb6c3a4_cln","distributor_id": "b05f667dcaa843bd8c171c522217eb81_dst","created": "2025-01-01T12:00:00","updated": "2025-02-01T08:30:00","deleted": null,"scope": "distributor","client_status": "active","label": "Acme Client","language": "en","distributor_name": "Acme Distributors","roles": ["string"],"available_roles": ["string"],"active_until": "2025-12-31T23:59:59"}],"pagination": {"total_size": 1,"page_size": 50,"page_number": 1,"next_page": "string","previous_page": "string"}
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}